[![Build Status](https://img.shields.io/travis/AntiPhotonltd/isitup/master.svg)](https://travis-ci.org/AntiPhotonltd/isitup)
[![Software License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/release/AntiPhotonltd/isitup.svg)](https://github.com/AntiPhotonltd/isitup/releases/latest)
[![Gem Version](https://badge.fury.io/rb/isitup.svg)](https://badge.fury.io/rb/isitup)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/AntiPhotonltd/isitup/latest.svg)](https://github.com/AntiPhotonltd/isitup/commits)
[![GitHub repo size in bytes](https://img.shields.io/github/repo-size/AntiPhotonltd/isitup.svg)](https://github.com/AntiPhotonltd/isitup)
[![GitHub contributors](https://img.shields.io/github/contributors/AntiPhotonltd/isitup.svg)](https://github.com/AntiPhotonltd/isitup)

# isitup?

This is a simple little gem for checking is a site is up or not.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'isitup'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install isitup

## Usage

```ruby
Isitup.check("www.antiphoton.com")
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/AntiPhotonltd/isitup. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the SSLInfo project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/AntiPhotonltd/isitup/blob/master/CODE_OF_CONDUCT.md).
