
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "isitup/version"

Gem::Specification.new do |spec|
  spec.name          = "isitup"
  spec.version       = Isitup::VERSION
  spec.authors       = ['Tim Gurney aka Wolf']
  spec.email         = ['wolf@tgwolf.com']

  spec.summary       = %q{A simple gem to check if a site is up or not.}
  spec.description   = %q{A simple gem to check if a site is up or not.}
  spec.homepage      = "https://github.com/AntiPhotonltd/isitup"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.3.0'

  spec.add_development_dependency "bundler", ">= 1.17", "< 3.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_development_dependency "colorize", "~> 0.8.1"
  spec.add_development_dependency "rest-client", "~> 2.0.2"

  spec.add_runtime_dependency "colorize", "~> 0.8.1"
  spec.add_runtime_dependency "rest-client", "~> 2.0.2"
end
